Categorii
Probleme in Wordpress

Cum rezolvi o eroare pe WordPress cand actualizezi PHP

Daca ati ajuns pe acest articol inseamna ca v-ati lovit de eroare generata la actualizarea PHP-ului (pentru incepatori, actualizarea se face din cpanel sau uneori mai fac automat anumiti provideri, mai ales cand site-ul vostru are o versiunea foarte veche). Erorile pot fi fatale (sa nu se mai poate accesa panoul de administrare deloc sau partiale (poti accesa panoul de administrare dar iti apar tot felul de erori sau “pe fata” nu mai functioneaza anumite lucruri.

  1. Incearca sa depistezi ce modul provoaca eroarea respectiva. Aici e foarte simplu, trebuie sa dezactivezi toate modulele si sa le activezi pe rand, impreuna cu un refresh la fiecare activare. Astfel poti sa depistezi modulul problema si sa ii faci un update, sa contactezi furnizorul modulului sau sa il stergi si sa adaugi altul care face acelasi lucru.
  2. In cazul in care problema nu este la modul ci la tema, incearca sa contactezi producatorul temei pentru a remedia problema. Daca nu ai suport, mai ramane o varianta accesibila: cobori inapoi la versiunea php unde site-ul functiona ok.

Nu uita ca pe WordPress de obicei apar erori cauzate de actualizarea ultimei versiuni PHP. Nu este neaparat nevoie sa folosesti ultima versiune. Eu de obicei fac upgrade-ul la versiuni care stiu ca sunt stabile si nu neaparat ultima. Eventual penultima.

Din experienta, erorile apar mai des la magazinele online ce folosesc Woocommerce + o groaza de module aditionale. Mai jos 2 imagini pentru cei care doresc sa faca singuri actualizarea din cpanel.

cum actualizezi versiunea php

actualizare php wordpress
actualizare la versiuni noi WordPress Woocommerce